### File

`packages/ecl/components/ecl-range/ecl-range-value.component.ts`

### Description

Component representing the value label displayed next to a range input. Applies ECL styling for the value element.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-range-value`
imports | `TranslateModule`
styles | `:host { display: block; }`
templateUrl | `./ecl-range-value.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
id value class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

id
Type : `string`
ID attribute applied to the component's host element.

value
Type : `number`
Value to display next to the range input.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Returns the CSS classes applied to the host element. Adds the base `ecl-range__value` class for styling.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Returns the CSS classes applied to the host element. Adds the base `ecl-range__value` class for styling. Returns : `string`

# results matching ""

# No results matching ""